summaryrefslogtreecommitdiffstats
path: root/abs/extra/bluez/run.rfcomm
diff options
context:
space:
mode:
Diffstat (limited to 'abs/extra/bluez/run.rfcomm')
-rw-r--r--abs/extra/bluez/run.rfcomm17
1 files changed, 17 insertions, 0 deletions
diff --git a/abs/extra/bluez/run.rfcomm b/abs/extra/bluez/run.rfcomm
new file mode 100644
index 0000000..8bc619b
--- /dev/null
+++ b/abs/extra/bluez/run.rfcomm
@@ -0,0 +1,17 @@
+#!/bin/sh
+#
+# Start/stop the Bluetooth daemons
+#
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+[ -f /etc/conf.d/bluetooth ] && . /etc/conf.d/bluetooth
+
+RFCOMM_CONFIG="/etc/bluetooth/rfcomm.conf"
+
+svwaitup -s 3 /var/service/bluetoothd || exit 1
+
+ stat_runit "Starting RFCOMM for the bluetooth subsystem"
+ /usr/bin/rfcomm -f $RFCOMM_CONFIG bind all
+ /sbin/sv down .